Skip to main content
POST
/
task
/
updateLoopItems
Update Loop Item List
curl --request POST \
  --url https://openapi.octoparse.com/task/updateLoopItems \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "taskId": "<string>",
  "actionId": "<string>",
  "loopType": "<string>",
  "loopItems": [
    "<string>"
  ],
  "isAppend": true
}
'
{
  "data": {
    "message": "<string>"
  },
  "requestId": "<string>"
}

Authorizations

Authorization
string
header
required

Use the access_token obtained from POST /token

Body

application/json
taskId
string
required
actionId
string
required
loopType
string
required

Type of loop item (e.g. URL, text)

loopItems
string[]
required
isAppend
boolean

If true, appends items to existing list. If false, replaces the list.

Response

200 - application/json

Loop items updated

data
object
requestId
string